## Sneak Detection
execute as @s[scores={gbm.sneak=1,gbm.current_morph=3..}] run function gbm:abilities/main_sneak
#Removing Attributes changed while sneaking
execute as @s[scores={gbm.current_morph=44,gbm.sneak=0}] run function gbm:abilities/leave_stone
# Reducing Scoreboard
scoreboard players remove @s[scores={gbm.sneak=1..}] gbm.sneak 1
scoreboard players set @s[scores={gbm.sneak=2}] gbm.sneak 0

## Jump Detection
execute as @s[scores={gbm.jump_detection=1,gbm.current_morph=3..}] run function gbm:abilities/main_jump
# Reducing Scoreboard
scoreboard players remove @s[scores={gbm.jump_detection=1..}] gbm.jump_detection 1

## Trigger Commands
execute if score require_op_to_morph config.gbm matches 0 run function gbm:trigger_loop
execute if score require_op_to_morph config.gbm matches 1 if entity @s[tag=gbm.operator] run function gbm:trigger_loop
execute if score initial_option_set config.gbm matches 0 run function gbm:initial_config/initial_trigger_loop


## Giving Effects
effect give @s[scores={gbm.current_morph=3..}] invisibility 1 0 true
effect give @s[tag=gbm.slow_falling] slow_falling 1 0 true
effect give @s[tag=gbm.speed.0] speed 1 0 true
effect give @s[tag=gbm.speed.1] speed 1 1 true
effect give @s[tag=gbm.jump_boost.0] jump_boost 1 0 true
effect give @s[tag=gbm.jump_boost.1] jump_boost 1 1 true
effect give @s[tag=gbm.jump_boost.2] jump_boost 1 2 true
effect give @s[tag=gbm.jump_boost.5] jump_boost 1 5 true
effect give @s[tag=gbm.dolphins_grace] dolphins_grace 1 0 true
effect give @s[tag=gbm.strength.0] strength 1 0 true
effect give @s[tag=gbm.strength.1] strength 1 1 true
effect give @s[tag=gbm.night_vision] night_vision 1 10 true
effect give @s[tag=gbm.hero_of_the_village] hero_of_the_village 1 0 true
effect give @s[tag=gbm.slowness.2] slowness 1 2 true
effect give @s[tag=gbm.slowness.3] slowness 1 3 true
effect give @s[tag=gbm.slowness.9] slowness 1 9 true
effect give @s[tag=gbm.resistance.0] resistance 1 0 true
effect give @s[tag=gbm.resistance.2] resistance 1 2 true
effect give @s[tag=gbm.fire_resistance] fire_resistance 1 0 true
effect give @s[tag=gbm.water_breathing] water_breathing 1 0 true

## Mob Specific Effects
# Detecting if player in direct sunlight
execute if entity @e[type=#gbm:burn_in_sunlight,limit=1,sort=nearest,distance=..1] if score @s gbm.burn_timer matches 0 run function gbm:effects/burn_in_sunlight
scoreboard players remove @s[scores={gbm.burn_timer=1..}] gbm.burn_timer 1

# Kicking off players that ride themselves
execute as @e[type=#gbm:rideable,distance=0.5..,tag=mtp3] at @s as @p run function gbm:stop_riding

# Dying out of water
execute as @a[tag=gbm.dies_out_of_water] if block ~ ~ ~ #gbm:is_water run scoreboard players set @s gbm.water_timer 300
scoreboard players remove @s[scores={gbm.water_timer=1..}] gbm.water_timer 1
effect give @a[scores={gbm.water_timer=0},tag=gbm.dies_out_of_water] wither 2 1 true

# Killing bees in water
execute as @s[scores={gbm.current_morph=6}] if block ~ ~ ~ #gbm:is_water run damage @s 1 minecraft:drown


